DevToolPal
ไทย

ตรวจสอบรูปแบบอีเมล

ตรวจสอบรูปแบบที่อยู่อีเมลทีละรายการหรือหลายรายการ หาโดเมนที่พิมพ์ผิดบ่อย และลบรายการซ้ำ ตรวจเฉพาะรูปแบบ ไม่ตรวจกล่องจดหมาย

ทำงานในเครื่อง ไม่มีการอัปโหลด

ตัวเลือก

แสดง

ที่อยู่อีเมล (บรรทัดละหนึ่งรายการ)

0 ตัวอักษร · 0 B

ผลตรวจรูปแบบ

ผลลัพธ์จะแสดงที่นี่

ทำอะไรได้

เครื่องมือนี้ตรวจว่าที่อยู่อีเมลเขียนถูกต้องหรือไม่ วางที่อยู่เดียวหรือทั้งรายการ แต่ละรายการจะถูกระบุว่าถูกต้องหรือไม่ถูกต้องพร้อมเหตุผล เช่น ไม่มี @ มีจุดติดกันสองตัว โดเมนไม่มีจุด หรือมีอักขระที่ไม่อนุญาต มีประโยชน์สำหรับล้างรายชื่ออีเมลก่อนนำเข้า ตรวจกฎการกรอกฟอร์ม หรือหาแถวที่เสียในไฟล์ CSV ที่ส่งออกมา

ตรวจเฉพาะรูปแบบเท่านั้น ไม่ได้ติดต่อเมลเซิร์ฟเวอร์ใด ๆ จึงบอกไม่ได้ว่ากล่องจดหมายมีอยู่จริงหรือรับอีเมลได้หรือไม่

วิธีใช้งาน

  1. วางที่อยู่อีเมลลงในช่องอินพุต บรรทัดละหนึ่งรายการ จุลภาคและอัฒภาคก็ใช้เป็นตัวคั่นได้ คุณจึงวางบรรทัด To: ได้โดยตรง
  2. ผลลัพธ์แสดงขณะที่คุณพิมพ์ พร้อมสรุปจำนวนที่อยู่ที่ถูกต้องและไม่ถูกต้อง
  3. ใช้ แสดง เพื่อแสดงทั้งหมด เฉพาะที่ถูกต้อง หรือเฉพาะที่ไม่ถูกต้อง ลบรายการซ้ำ จะตัดรายการที่ซ้ำออก โดยเปรียบเทียบโดเมนแบบไม่สนตัวพิมพ์เล็กใหญ่
  4. กด คัดลอกที่ถูกต้อง เพื่อคัดลอกรายการที่สะอาดแล้ว บรรทัดละหนึ่งที่อยู่

รองรับชื่อที่แสดงด้วย: Bob Smith <bob@example.com> จะถูกตรวจเป็น bob@example.com พร้อมหมายเหตุว่าลบชื่อออกแล้ว

สิ่งที่ตรวจ

  • มี @ เพียงตัวเดียว (นอกเครื่องหมายคำพูด) และมีข้อความทั้งสองฝั่ง
  • ที่อยู่ทั้งหมดยาวไม่เกิน 254 ตัวอักษร และส่วนก่อน @ ไม่เกิน 64
  • Local part ใช้อักขระที่อนุญาต ไม่มีจุดที่ต้น ท้าย หรือจุดซ้อนกัน Local part ในเครื่องหมายคำพูดอย่าง "john doe"@example.org ใช้ได้แต่มีคำเตือน
  • โดเมนมีอย่างน้อยสองส่วน แต่ละส่วนยาว 1–63 ตัวอักษร ประกอบด้วยตัวอักษร ตัวเลข และขีดกลาง ไม่ขึ้นต้นหรือลงท้ายด้วยขีดกลาง และมีโดเมนระดับบนสุดที่ดูเป็นของจริง IP literal อย่าง admin@[192.168.0.1] ใช้ได้แต่มีคำเตือน
  • การสะกดผิดที่พบบ่อยของโดเมนยอดนิยม เช่น gmial.com หรือ qq.con จะได้คำแนะนำ “หมายถึง … หรือไม่”

ตัวอย่าง

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

คำถามที่พบบ่อย

› เครื่องมือนี้ตรวจว่ากล่องจดหมายมีอยู่จริงหรือไม่?

ไม่ นี่เป็นการตรวจรูปแบบเท่านั้น ไม่ได้ค้นหาหรือติดต่อเมลเซิร์ฟเวอร์ของโดเมน ที่อยู่ที่ผ่านการตรวจที่นี่จึงอาจยังเด้งกลับได้ การยืนยันกล่องจดหมายต้องใช้เซิร์ฟเวอร์ และวิธีทดสอบที่เชื่อถือได้เพียงวิธีเดียวคือการส่งอีเมลยืนยัน

› ที่อยู่อีเมลถูกอัปโหลดหรือไม่?

ไม่ ทุกการตรวจทำงานในเบราว์เซอร์ของคุณ รายชื่ออีเมลของคุณจึงไม่ออกจากอุปกรณ์

› ใช้กฎอะไรในการตรวจ?

ใช้ไวยากรณ์ที่อยู่อีเมลตาม RFC 5321 และ RFC 5322 รวมถึงที่อยู่แบบสากลจาก RFC 6531 รูปแบบที่ล้าสมัย เช่น คอมเมนต์ภายในที่อยู่ จะถูกปฏิเสธ เพราะแทบไม่มีระบบอีเมลใดรับ

› ทำไมที่อยู่ที่ถูกต้องถึงมีคำเตือน?

บางที่อยู่ถูกต้องตามกฎแต่มีความเสี่ยง เช่น น่าจะพิมพ์ผิดอย่าง gmial.com ใช้ที่อยู่ IP แทนโดเมน มี local part ในเครื่องหมายคำพูด หรือมีอักขระที่ไม่ใช่ ASCII ซึ่งบางเซิร์ฟเวอร์ปฏิเสธ ที่อยู่นั้นยังนับว่าถูกต้อง